import { RPCError } from 'packages/core/rpc/error';

import { Notification } from '../../model';
import { Page } from 'app/commons/model';

export interface State {
  error: RPCError | null;
  pending: boolean;
  page: Page;
  // notifications: Notification[] | null;
}

export const initialState: State = {
  error: null,
  pending: false,
  page: null,
  // notifications: null,
};
